  - platform: adc
    pin: A0
    name: "Battery Voltage"
    unit_of_measurement: "V"
    update_interval: 10min         # Read battery voltage every 10 minutes
    filters:
      - multiply: 3.3               # Adjust based on your voltage divider